Index: frontend/src/Components/Resources/AddAvailability.js
===================================================================
--- frontend/src/Components/Resources/AddAvailability.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Resources/AddAvailability.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,4 +1,4 @@
- import React from "react";
-import { Container, Row, Modal, Im } from "react-bootstrap";
+import React from "react";
+import { Container, Row, Modal } from "react-bootstrap";
 import { useState } from "react";
 import { AiOutlinePlusCircle } from "react-icons/ai"
@@ -42,6 +42,6 @@
         <Modal.Body>
             {props.type === "hotel" && <AddHotelForm/>}
-            {props.type === "room" && <AddRoomAvailablityForm refresh={props.refresh} close={props.closeModal}  hotelRoomId={props.hotelRoomId}/>}
-            {props.type === "table" && <AddTableAvailablityForm refresh={props.refresh} close={props.closeModal} table={props.table}/>}
+            {props.type === "room" && <AddRoomAvailablityForm hotelRoomId={props.hotelRoomId}/>}
+            {props.type === "table" && <AddTableAvailablityForm table={props.table}/>}
             {props.type === "restaurant" && <AddRestaurantForm/>}
             {props.type === "transport" && <AddTransportForm/>}
Index: frontend/src/Components/Resources/AddImages.js
===================================================================
--- frontend/src/Components/Resources/AddImages.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ 	(revision )
@@ -1,98 +1,0 @@
-import React from "react";
-import {Container, Row, Modal, Image, FormGroup, FormLabel, FormControl, Button} from "react-bootstrap";
-import {useState} from "react";
-import {AiOutlinePlusCircle} from "react-icons/ai"
-import AddHotelForm from "../Forms/AddHotelForm";
-import AddRoomForm from "../Forms/AddRoomForm";
-import AddRestaurantForm from "../Forms/AddRestaurantForm";
-import AddTransportForm from "../Forms/AddTransportForm";
-import AddItemMenuForm from "../Forms/AddItemMenuForm";
-import AddRoomAvailablityForm from "../Forms/AddRoomAvailablityForm";
-import AddTableAvailablityForm from "../Forms/AddTableAvailabilityForm";
-import {FaImage} from "react-icons/fa";
-import useGet from "../Hooks/useGet";
-import useFileChange from "../Hooks/FilesUpload/useFileChange";
-
-
-const AddImages = (props) => {
-
-    const [show, setShow] = useState(false);
-    const {data, isLoading, getData, setData, setChanged} = useGet(`/${props.type}/${props.Id}/images`)
-    const { onFileChangeHandler } = useFileChange();
-    const [selectedFiles, setSelectedFiles] = useState([]);
-
-    console.log(props.Id)
-
-    const handleClose = () => setShow(false);
-    const handleShow = (e) => {
-        e.preventDefault();
-        setShow(true);
-
-    };
-
-    !isLoading && console.log(data)
-
-
-    return (<>
-        <Container onClick={handleShow}>
-            <h5>Слики</h5>
-            <div className="d-flex justify-content-center align-content-center"><FaImage size={50}
-                                                                                         color="#159895"></FaImage>
-            </div>
-
-        </Container>
-
-        {handleShow && <Modal size={'xl'} show={show} onHide={handleClose}>
-            <Modal.Header closeButton>
-                <Modal.Title style={{color: "#159895"}}>
-                    Слики за ресурс
-                </Modal.Title>
-            </Modal.Header>
-            <Modal.Body>
-                <Container>
-                    {!isLoading && data.map((image) => {
-                        let link = image.url;
-                        if (image.url.includes('Desktop')) {
-                            link = 'http://localhost:8080/download?fileName=' + encodeURIComponent(image.url);
-                        }
-                        console.log(link)
-                        return (
-                            <Image src={link} thumbnail width={171} height={180}/>
-                        )
-                    })}
-                </Container>
-                <Container>
-                    <FormGroup className="mb-3">
-                        <FormLabel>Upload Images:</FormLabel>
-                        <FormControl
-                            type="file"
-                            multiple
-                            onChange={(e) => setSelectedFiles(Array.from(e.target.files))}
-                        />
-                    </FormGroup>
-                    <Button onClick={() => {
-                        // setChanged((prev) => ++prev)
-                        onFileChangeHandler(selectedFiles, props.type, props.Id, setChanged)
-                        // setChanged((prev) => ++prev)
-                    }}>
-                        Upload Files
-                    </Button>
-                    <Container>
-                        {selectedFiles.map((file, index) => (
-                            <Image
-                                key={index}
-                                onClick={() => {
-                                }}
-                                fluid
-                                src={URL.createObjectURL(file)}
-                                alt={`Uploaded Image ${index + 1}`}
-                            />
-                        ))}
-                    </Container>
-                </Container>
-            </Modal.Body>
-        </Modal>}
-    </>)
-}
-
-export default AddImages;
Index: frontend/src/Components/Resources/AddNew.js
===================================================================
--- frontend/src/Components/Resources/AddNew.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Resources/AddNew.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -56,8 +56,8 @@
         </Modal.Header>
         <Modal.Body>
-            {props.type === "hotel" && <AddHotelForm closeModal={handleClose} refresh={props.refresh}/>}
-            {props.type === "room" && <AddRoomForm closeModal={handleClose} refresh={props.refresh} hotelId={props.Id}/>}
-            {props.type === "restaurant" && <AddRestaurantForm edit="false" closeModal={handleClose} refresh={props.refresh}/>}
-            {props.type === "transport" && <AddTransportForm closeModal={handleClose} refresh={props.refresh}/>}
+            {props.type === "hotel" && <AddHotelForm refresh={props.refresh}/>}
+            {props.type === "room" && <AddRoomForm refresh={props.refresh} hotelId={props.Id}/>}
+            {props.type === "restaurant" && <AddRestaurantForm edit="false" refresh={props.refresh}/>}
+            {props.type === "transport" && <AddTransportForm refresh={props.refresh}/>}
             {props.type === "menu" && <AddItemMenuForm Id={props.Id} refresh={props.refresh}/>}
             {props.type === "route" && <AddTripForm transportId={props.transport.transportID} setSize={setSizeXl} refresh={props.refresh}/>}
Index: frontend/src/Components/Resources/EditModal.js
===================================================================
--- frontend/src/Components/Resources/EditModal.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Resources/EditModal.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -11,5 +11,4 @@
 import EditTableForm from "../Forms/EditTableForm";
 import EditRoomForm from "../Forms/EditRoomForm";
-import EditMainRouteForm from "../Forms/EditMainRouteForm";
 
 const EditModal = (props) => {
@@ -32,10 +31,10 @@
         </Modal.Header>
         <Modal.Body>
-            {props.type === "hotel" && <AddHotelForm refresh={props.refresh}/>}
+            {props.type === "hotel" && <AddHotelForm/>}
             {props.type === "room" && <EditRoomForm refresh={props.refresh} room={props.room}/>}
             {props.type === "restaurant" && <AddRestaurantForm edit="false" refresh={props.refresh}/>}
             {props.type === "transport" && <AddTransportForm/>}
             {props.type === "menu" && <AddItemMenuForm Id={props.Id} refresh={props.refresh} menu={props.menu}/>}
-            {props.type === "route" && <EditMainRouteForm route={props.route} refresh={props.refresh}/>}
+            {props.type === "route" && <AddTripForm/>}
             {props.type === "table" && <EditTableForm table={props.table}/>}
         </Modal.Body>
Index: frontend/src/Components/Resources/ResourceListing.js
===================================================================
--- frontend/src/Components/Resources/ResourceListing.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Resources/ResourceListing.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,73 +1,69 @@
 import React from "react";
-import {useState} from "react";
-import {Col, Container, Row, Image, Modal, Button} from "react-bootstrap";
+import { useState } from "react";
+import { Col, Container, Row, Image, Modal, Button } from "react-bootstrap";
 import LoginForm from "../Login/LoginForm";
 import ChangePasswordForm from "../Forms/ChangePasswordForm";
-import AddAvailability from "./AddAvailability";
-import AddImages from "./AddImages";
 
 const ResourceListing = (props) => {
+  
+    console.log("props " + props.id)
+  
 
     const type = props.type == "hotel" ? "сместувањето" : props.type == "restaurant" ? "ресторанот" : "превозот";
     const name = props.type == "hotel" ? props.data.hotelName : props.type == "restaurant" ? props.data.restaurantName : props.data.transportName
-    const id = props.type == "hotel" ? props.data.hotelId : props.type == "restaurant" ? props.data.restaurantID : props.data.transportID
-    console.log(props.data)
-    return (<>
-        <a  style={{textDecoration: "none", color: "black"}} href={`${props.type}/${id}`}>
-            <Container className="py-3 px-1 my-4"
-                       style={{
-                           border: "4px solid #159895",
-                           borderRadius: "1em",
-                           boxShadow: "0 3px 5px #159895",
-                           maxWidth: "90%",
-                       }}>
-                <Row>
-                    <Col className="d-flex justify-content-center">
-                        <Image
-                            src="https://www.imgacademy.com/sites/default/files/legacyhotel.jpg"
-                            style={{
-                                height: "8em",
-                                borderRadius: "1em",
-                                boxShadow: "0 4px 20px lightblue",
-                                maxWidth: "100%",
-                            }}
-                        ></Image>
-                    </Col>
-                    <Col>
-                        <h2 style={{textAlign: "left"}}>{name}</h2>
-                        {props.type === "hotel" && (<>
-                            <h5 style={{textAlign: "left"}}>{props.data.hotelLocation}</h5>
-                            <h5 style={{textAlign: "left"}}>{props.data.hotelEmail}</h5>
-                        </>)}
-                        {props.type === "restaurant" && (<>
-                            <h5 style={{textAlign: "left"}}>{props.data.restaurantLocation}</h5>
-                            <h5 style={{textAlign: "left"}}>{props.data.cousineType} кујна</h5>
-                        </>)}
-                        {props.type === "transport" && (<>
-                            <h5 style={{textAlign: "left"}}>{props.data.carBrand}</h5>
-                            <h5 style={{textAlign: "left"}}>{props.data.carPlate}</h5>
-                        </>)}
-                    </Col>
-
-                    {props.type !== 'transport' && <Col className="d-flex flex-column justify-content-center align-content-center">
-                        <AddImages type={props.type} Id={id}/>
-                    </Col>}
-                    <Col className="d-flex justify-content-center align-content-center">
+    const id = props.type == "hotel" ? props.data.hotelId : props.type == "restaurant" ? props.data.resturantId : props.data.transportID
+    return(<> 
+    <a href={`${props.type}/${id}`} style={{textDecoration: "none", color:"black"}}>
+        <Container className="py-3 px-1 my-4"
+        style={{
+          border: "4px solid #159895",
+          borderRadius: "1em",
+          boxShadow: "0 3px 5px #159895",
+          maxWidth: "90%",
+        }}>
+            <Row>
+                <Col className="d-flex justify-content-center">
+                    <Image
+                    src="https://www.imgacademy.com/sites/default/files/legacyhotel.jpg"
+                    style={{
+                        height: "8em",
+                        borderRadius: "1em",
+                        boxShadow: "0 4px 20px lightblue",
+                        maxWidth: "100%",
+                    }}
+                    ></Image>
+                </Col>
+                <Col >
+                    <h2 style={{textAlign: "left"}}>{name}</h2>
+                    {props.type === "hotel" && (<>
+                      <h5 style={{textAlign: "left"}}>{props.data.hotelLocation}</h5>
+                      <h5 style={{textAlign: "left"}}>{props.data.hotelEmail}</h5>
+                    </>)}
+                    {props.type === "restaurant" && (<>
+                      <h5 style={{textAlign: "left"}}>{props.data.restaurantLocation}</h5>
+                      <h5 style={{textAlign: "left"}}>{props.data.cousineType} кујна</h5>
+                    </>)}
+                    {props.type === "transport" && (<>
+                      <h5 style={{textAlign: "left"}}>{props.data.carBrand}</h5>
+                      <h5 style={{textAlign: "left"}}>{props.data.carPlate}</h5>
+                    </>)}
+                </Col>
+                <Col className="d-flex justify-content-center align-content-center" >
                   <span
-                      style={{
-                          backgroundColor: "#159895",
-                          padding: "0.75em",
-                          fontWeight: "bold",
-                          fontSize: "1.8rem",
-                          borderRadius: "0.75em",
-                          color: "white",
-                          margin: "auto"
-                      }}
+                    style={{
+                      backgroundColor: "#159895",
+                      padding: "0.75em",
+                      fontWeight: "bold",
+                      fontSize: "1.8rem",
+                      borderRadius: "0.75em",
+                      color: "white",
+                      margin: "auto"
+                    }}
                   >
                     9.1
                   </span>
-                    </Col>
-                </Row>
-            </Container>
+                </Col>
+            </Row>
+        </Container>
         </a>
     </>)
Index: frontend/src/Components/Resources/ResourcesTab.js
===================================================================
--- frontend/src/Components/Resources/ResourcesTab.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Resources/ResourcesTab.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,118 +1,127 @@
-import React, {useTransition} from "react";
-import {Container, Col, Row, Image, Nav, Tab} from "react-bootstrap";
-import {useState} from "react";
-import {FaTaxi, FaHotel} from "react-icons/fa";
-import {MdRestaurant} from "react-icons/md";
+import React, { useTransition } from "react";
+import { Container, Col, Row, Image, Nav, Tab } from "react-bootstrap";
+import { useState } from "react";
+import { FaTaxi, FaHotel } from "react-icons/fa";
+import { MdRestaurant } from "react-icons/md";
 import AddNew from "./AddNew";
 import ResourceListing from "./ResourceListing";
-import {Link} from "react-router-dom";
+import { Link } from "react-router-dom";
 import useGet from "../Hooks/useGet";
 
 function ResourcesTab(props) {
-    const [activeTab, setActiveTab] = useState(props.tab);
-    const userId = JSON.parse(localStorage.getItem("user")).userId;
-    const {data, setData, isLoading, getData, setChanged} = useGet(`${props.tab}/user/${userId}`);
+  const [activeTab, setActiveTab] = useState(props.tab);
+  // const [changed, setChanged] = useState(0);
+  const userId = localStorage.getItem("userId");
+  const { data, setData, isLoading, getData, setChanged } = useGet(`${props.tab}/user/${userId}`);
 
-    const handleSelect = (eventKey) => {
-        setActiveTab(eventKey);
-        props.refresh(eventKey);
-    };
+  const handleSelect = (eventKey) => {
+    setActiveTab(eventKey);
+    console.log(props.refresh);
+    props.refresh(eventKey);
+    console.log("refresh" + eventKey);
+  };
 
-    return (
-        <Container className="rounded-5">
-            <Tab.Container
-                activeKey={activeTab}
-                onSelect={handleSelect}
-                className="bg-dark rounded-5"
-            >
-                <Nav
-                    fill
-                    variant="tabs"
-                    className="bg-body rounded-top-5"
-                    activeKey="/hotel"
-                    id="tab_item"
-                >
-                    <Nav.Item className="tab_item rounded-5">
-                        <Nav.Link href="/resources/hotel" className="text-left rounded-5">
+  !isLoading && console.log(data);
+  console.log(props.tab);
+
+  return (
+    <Container className="rounded-5">
+      <Tab.Container
+        activeKey={activeTab}
+        onSelect={handleSelect}
+        className="bg-dark rounded-5"
+      >
+        <Nav
+          fill
+          variant="tabs"
+          className="bg-body rounded-top-5"
+          activeKey="/hotel"
+          id="tab_item"
+        >
+          <Nav.Item className="tab_item rounded-5">
+            <Nav.Link href="/resources/hotel" className="text-left rounded-5">
               <span className="ikona">
                 <FaHotel
-                    color="#159895"
-                    style={{lineHeight: "100em"}}
-                    size={"1.5em"}
-                    className="mx-3"
+                  color="#159895"
+                  style={{ lineHeight: "100em" }}
+                  size={"1.5em"}
+                  className="mx-3"
                 />
               </span>
-                            <span className="ikona">Сместувања</span>
-                        </Nav.Link>
-                    </Nav.Item>
-                    <Nav.Item className="tab_item">
-                        <Nav.Link href="/resources/restaurant">
+              <span className="ikona">Сместувања</span>
+            </Nav.Link>
+          </Nav.Item>
+          <Nav.Item className="tab_item">
+            <Nav.Link href="/resources/restaurant">
               <span className="ikona">
-                <MdRestaurant color="#159895" size={"1.5em"} className="mx-3"/>
+                <MdRestaurant color="#159895" size={"1.5em"} className="mx-3" />
               </span>
-                            <span className="ikona">Ресторани</span>
-                        </Nav.Link>
-                    </Nav.Item>
-                    <Nav.Item className="tab_item rounded-5">
-                        <Nav.Link
-                            href="/resources/transport"
-                            className="text-left rounded-5"
-                        >
+              <span className="ikona">Ресторани</span>
+            </Nav.Link>
+          </Nav.Item>
+          <Nav.Item className="tab_item rounded-5">
+            <Nav.Link
+              href="/resources/transport"
+              className="text-left rounded-5"
+            >
               <span className="ikona">
-                <FaTaxi color="#159895" size={"1.5em"} className="mx-3"/>
+                <FaTaxi color="#159895" size={"1.5em"} className="mx-3" />
               </span>
-                            <span className="ikona">Превоз</span>
-                        </Nav.Link>
-                    </Nav.Item>
-                </Nav>
+              <span className="ikona">Превоз</span>
+            </Nav.Link>
+          </Nav.Item>
+        </Nav>
 
-                <Tab.Content className="py-5 px-3 border rounded-bottom-5 bg-light">
-                    <Tab.Pane eventKey="/hotel" key="hotelPane">
-                        {props.tab == "/hotel" && !isLoading && data != null &&
-                            data.map((hotel) => {
-                                return (
-                                    //<Link style={{textDecoration: "none"}} key={hotel.hotelId} to={"/resources/hotel/" + hotel.hotelId}>
-                                    <ResourceListing
-                                        on
-                                        key={hotel.hotelId}
-                                        id={hotel.hotelId}
-                                        type="hotel"
-                                        data={hotel}
-                                    />
-                                    //</Link>
-                                );
-                            })}
-                        <AddNew type="hotel" refresh={setChanged}/>
-                    </Tab.Pane>
-                    <Tab.Pane eventKey="/restaurant" key="restaurantPane">
-                        {props.tab == "/restaurant" && !isLoading && data != null &&
-                            data.map((restaurant) => {
-                                return (
-                                    <ResourceListing
-                                        key={restaurant.restaurantID}
-                                        type="restaurant"
-                                        data={restaurant}
-                                    />);
-                            })}
-                        <AddNew type="restaurant" refresh={setChanged}/>
-                    </Tab.Pane>
-                    <Tab.Pane eventKey="/transport" key="transportPane">
-                        {props.tab == "/transport" && !isLoading && data.length > 0 &&
-                            data.map((transport) => {
-                                return (
-                                    <ResourceListing
-                                        key={transport.transportId}
-                                        id={transport.transportId}
-                                        type="transport"
-                                        data={transport}
-                                    />
-                                );
-                            })}
-                        <AddNew type="transport" refresh={setChanged}/>
-                    </Tab.Pane>
-                </Tab.Content>
-            </Tab.Container>
-        </Container>
-    );
+        <Tab.Content className="py-5 px-3 border rounded-bottom-5 bg-light">
+          <Tab.Pane eventKey="/hotel" key="hotelPane">
+            {props.tab == "/hotel" && !isLoading && data != null &&
+              data.map((hotel) => {
+                return (
+                  <Link key={hotel.hotelId} to={"/resources/hotel/" + hotel.hotelId}>
+                    <ResourceListing
+                      key={hotel.hotelId}
+                      id={hotel.hotelId}
+                      type="hotel"
+                      data={hotel}
+                    />
+                  </Link>
+                );
+              })}
+            <AddNew type="hotel" refresh={setChanged} />
+          </Tab.Pane>
+          <Tab.Pane eventKey="/restaurant" key="restaurantPane">
+            {props.tab == "/restaurant" && !isLoading && data != null &&
+              data.map((restaurant) => {
+                console.log("mapiranje " + restaurant)
+                return (
+                  <Link key={restaurant.restaurantId} to={"/resources/restaurant/" + restaurant.restaurantID}>
+                    <ResourceListing
+                      key={restaurant.restaurantId}
+                      type="restaurant"
+                      data={restaurant}
+                    />
+                  </Link>
+                );
+              })}
+            <AddNew type="restaurant" refresh={setChanged}/>
+          </Tab.Pane>
+          <Tab.Pane eventKey="/transport" key="transportPane">
+            {props.tab == "/transport" && !isLoading && data.length > 0 &&
+              data.map((transport) => {
+                return (
+                  <ResourceListing
+                    key={transport.transportId}
+                    id={transport.transportId}
+                    type="transport"
+                    data={transport}
+                  />
+                );
+              })}
+            <AddNew type="transport" refresh={setChanged}/>
+          </Tab.Pane>
+        </Tab.Content>
+      </Tab.Container>
+    </Container>
+  );
 }
 
